/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/5.0/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.7 $
 *
 * FrameBuffer definetions
 */

#ifndef __mcframebuffer_h__
#define __mcframebuffer_h__ 

/*
 * FrameBuffer specific data
 */
typedef struct {
    int			 Height;		/* Height (in pixels) */
    int			 Width;			/* Width (in pixels) */
    int			 VRefresh;		/* Vertical Refresh (in Hz) */
    int			 Depth;			/* Depth (bits/pixel) */
    unsigned long	 Size;			/* Total size (in bytes) */
    unsigned long	 VMSize;		/* Video memory (in bytes) */
    int			 CMSize;		/* Color Map Size (#entries) */
} FrameBuffer_t;

#endif	/* __mcframebuffer_h__ */
