/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/5.0/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.4 $
 */

/*
 * Configuration File Key=Value header
 */

#ifndef __cfkv_h__
#define __cfkv_h__

#include "bjhashtab.h"

/*
 * CFKV handle
 */
typedef struct {
    char *			ConfigFile;	/* File to read */
    FILE *			FH;		/* File Handle */
    htab_t *			KeyTab;		/* Table by key */
    int				Flags;		/* Flags */
} CFKVhandle_t;

/*
 * Flags
 */
#define CFKV_DEBUG		0x01		/* Debugging */

/*
 * Declarations
 */
extern char *		CFKVgetValue(CFKVhandle_t *, char *);
extern void		CFKVdestroy(CFKVhandle_t *);
extern CFKVhandle_t *	CFKVread(char *, char *, char **, int);
extern int		CFKVsetEnt(CFKVhandle_t *);
extern int		CFKVgetEnt(CFKVhandle_t *, char **, char **);

#endif	/* __cfkv_h__ */

