/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/5.0/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.2 $
 */

/*
 * This file contains declarations and definetions for our x*alloc() functions.
 */
#ifndef __xalloc_h__
#define __xalloc_h__ 

/*
 * Insure we get consistant declarations for the real *alloc() functions
 */
#if HAVE_STRING_H
# include <string.h>
#endif
#if HAVE_STRINGS_H
# include <strings.h>
#endif
#if HAVE_STDLIB_H
# include <stdlib.h>
#endif

/*
 * Declarations
 */
extern void *xcalloc(size_t, size_t);
extern void *xrealloc(void *, size_t);
extern void *xmalloc(size_t);

#endif	/* __xalloc_h__ */
