/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/5.0/sysinfo-eu-license.shtml
 */

#ifndef lint
static char *RCSid = "$Revision: 1.7 $";
#endif

#if defined(HAVE_AUTOCONFIG_H)
# include "mcsysinfo-autoconfig.h"
#endif	/* HAVE_AUTOCONFIG_H */

#if	!defined(HAVE_SETREUID)
/*
 * Things related to running system commands.
 */

#include "defs.h"

/*
 * Set real and effective user ID.
 */
int setreuid(RealUID, EffectUID)
    uid_t			RealUID;
    uid_t			EffectUID;
{
    if (RealUID != (uid_t) -1)
	if (setuid(RealUID) < 0)
	    return(-1);

    if (EffectUID != (uid_t) -1)
	if (seteuid(EffectUID) < 0)
	    return(-1);

    return(0);
}
#endif	/* !HAVE_SETREUID */
