/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/5.0/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.4 $
 *
 * System Requirements
 */

#ifndef __sysreq_h__
#define __sysreq_h__ 

typedef struct {
    char		       *OSname;		/* OS Name */
    char		       *OSver;		/* OS version string */
    long			OSverNum;	/* Numeric version */
    int				OSverMaj;	/* OS Major version # */
    int				OSverMin;	/* OS Major version # */
    char		       *Arch;		/* App Architecture */
    char		       *LibcName;	/* Libc Name */
    char		       *LibcVer;	/* Libc Version */
} SysReq_t;

#endif	/* __sysreq_h__ */
