/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/5.0/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.26 $
 */

#ifndef __sie_declare_h__
#define __sie_declare_h__ 

extern int 			MsgLevel;
extern FormatType_t		FormatType;
extern EncodeType_t		EncodeType;
extern char		       *ProgramName;
extern char 		       *UnSupported;

extern ShowInfo_t		GeneralShowInfo[];
extern ShowInfo_t		NetworkShowInfo[];

extern DevType_t 		DevTypes[];
extern ListInfo_t		FormatNames[];
extern ListInfo_t		EncodeNames[];
extern ListInfo_t		MsgClassNames[];
extern ListInfo_t		MsgLevelNames[];

extern void			TypeList();
extern int 		        GeneralShow(ClassInfo_t *, char **);
extern void		        KernelList(ClassInfo_t *);
extern int		        KernelShow();
extern void 		        SysConfList(ClassInfo_t *);
extern int 		        SysConfShow();
extern void		        DeviceList(ClassInfo_t *);
extern int		        DeviceShow();
extern int		        ShowSoftInfo();
extern void		        ListSoftInfo(ClassInfo_t *);
extern int		        ShowPartition();
extern void		        ListPartition(ClassInfo_t *);
extern int		        ShowPrinter();
extern void		        ListPrinter(ClassInfo_t *);
extern int		        ShowLicense();
extern void		        ListLicense(ClassInfo_t *);

extern char		       *HtmlBold();
extern char		       *HtmlItalic();
extern char		       *HtmlEncodeName();

extern char		       *CFchooseConfDir();

extern char		       *StrCat();

extern char		      **ColGetFmt();
extern char		       *ColGetFmtStr();

extern Define_t                *DefGetList();

extern int			ShowNetIf(ClassInfo_t *, char **);
extern void			ListNetIf(ClassInfo_t *);

extern int			ShowNetwork(ClassInfo_t *, char **);

extern void			Report(char *, char *, char *, char **, int);
extern void			ReportProp(char *, char *, char *, char *, char *);
extern void			ReportMember(char *, char *, char *);
extern void			ReportType(char *, char *);

extern void 			ClassList(void);
extern ClassInfo_t *		ClassGetByName(char *);
extern void 			ClassSetInfo(char *);
extern int 			ClassCall(char *, MCSIopts_t *);
extern void 			ClassCallList(void);
extern char **			ClassGetNames(char *);
extern int			ClassMembers(char **);

extern char *		        ShowEncodeName(char *);
extern void			ShowInfoList(ClassInfo_t *);

#endif /* __sie_declare_h__ */
