/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/5.0/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.3 $
 *
 * Constants
 */

#ifndef __mcconstants_h__
#define __mcconstants_h__ 

#include "mctypes.h"

/*
 * NULL
 */
#define CNULL			'\0'
#define C_NULL			CNULL

#define HERTZ			1				/* Hertz */
#define KHERTZ			1000				/* KiloHertz */
#define MHERTZ			1000000				/* MegaHertz */
#define GHERTZ			1000000000			/* GigaHertz */
#define BYTES			((Large_t)1)			/* Bytes */
#define KBYTES			((Large_t)1024)			/* Kilobytes */
#define MBYTES			((Large_t)1048576)		/* Megabytes */
#define GBYTES			((Large_t)1073741824)		/* Gigabytes */

/*
 * 1000 based KBYTES
 */
#define KBYTES_ONE		((Large_t)1000)
#define MBYTES_ONE		((Large_t)1000000)
#define GBYTES_ONE		((Large_t)1000000000)

#endif	/* __mcconstants_h__ */
