/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/5.0/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.10 $
 *
 * Declarations
 */

#ifndef __mcdeclare_h__
#define __mcdeclare_h__ 

#include "mcargtype.h"		/* For ARG_* definetions */

/*
 * Variables mostly from lib/common/globals.c
 */
extern int			DoPrintUnknown;
extern int			MsgClassFlags;
extern int			UseProm;
extern char		       *ConfDir;

/*
 * Functions
 */
#if __STDC__
extern int mcSysInfo(MCSIquery_t * Query);
#else
extern int mcSysInfo();
#endif

#if	defined(ARG_TYPE) && ARG_TYPE == ARG_STDARG
extern void			SImsg(int MsgType, char *fmt, ...);
#else	/* !ARG_STDARG */
extern void			SImsg();
#endif	/* ARG_STDARG */

extern char		       *GetSizeStr();
extern char		       *GetClockStr();
extern char		       *IdentString();
extern char		       *DescPrime();
extern char		       *RunCmds();
extern char		       *SoftInfoFileType();
extern char		       *TypeGetType();
extern DevType_t 	       *TypeGetByType();
extern ClassType_t	       *ClassTypeGetByType();
char			       *itoa();
char			       *Ltoa();

#endif	/* __mcdeclare_h__ */
