#
# $Id: uiCliMsg.pm,v 1.1 2003/05/06 18:44:48 mcooper Exp $
#
# CLI message functions module
#

package uiCliMsg;

require 5.003;
require Exporter;

use uiMisc;

#
# File Handle to output to
#
my $FH = STDOUT;

BEGIN {
    #
    # Export function
    #
    @ISA      = qw(Exporter);

    #
    # Variables and functions being auto exported
    #
    @EXPORT   = qw(
		   CliMsg CliMsgSetFile
		  );
}

#
# Set output file
#
sub CliMsgSetFile {
    my $File = shift;

    if (!open($FH, '>', $File)) {
	Error("%s: Cannot create output file: %s", $File, $!);
	return -1;
    }

    return 0;
}

#
# Print a message
#
sub CliMsg {
    printf $FH @_;
}

1;
