#
# $Id: uiText.pm,v 1.7 2003/05/06 18:45:56 mcooper Exp $
#
# Text object
#

package uiText;
require 5.003;

require Exporter;

use uiGlobals;
use uiMsgLevel;
use uiCliMsg;

BEGIN {
    #
    # Export function
    #
    @ISA      = qw(Exporter);

    #
    # Variables and functions being auto exported
    #
    @EXPORT   = qw(
		   BannerText TextStartClass TextIndent
		  );
}

#
# Print indentention amount of white space
#
sub TextIndent {
    my $Level = shift;

    CliMsg("%*s", $Level * 4, "");
}

#
# Make a text banner
#
sub BannerText {
    my $String = shift;

    my @NewParts;
    my @OldParts = split(/[ ]+/, $String);
    foreach my $word (@OldParts) {
	$word = uc($word);
	my @parts = split(//, $word);
	my $new = join(' ', @parts);
	push(@NewParts, $new);
    }

    return join('   ', @NewParts);
}

#
# Start a class presentation in TEXT
#
sub TextStartClass {
    my $Present = shift;

    if (MsgLevelIs($ML_ALL, $ML_GENERAL, $ML_DESC, $ML_CONFIG)) {
	CliMsg("\n\n\t%s\n\n", BannerText($Present->Banner));
    }
}

1;
