/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/5.0/sysinfo-eu-license.shtml
 */

#ifndef lint
static char *RCSid = "$Revision: 1.13 $";
#endif

/*
 * Platform Specific Interface functions
 */

#include "defs.h"
#include "psi.h"

/*
 * Query each interface function until
 * one succeeds.
 */
extern Opaque_t PSIquery(PSItable)
    PSI_t		       *PSItable;
{
    PSI_t		       *PSIptr;
    Opaque_t			Val;

    for (PSIptr = PSItable; PSIptr && PSIptr->Get; ++PSIptr) {
	Val = (PSIptr->Get)();
	if (Val)
	    return Val;
    }

    return ((Opaque_t) NULL);
}
