/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/5.0/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.4 $
 *
 * sysconf related definetions
 */
#ifndef __getsysconf__
#define __getsysconf__ 

/*
 * Types for sysconf Type
 */
#define SCT_LONG		1		/* long */
#define SCT_BOOL		2		/* boolean */

/*
 * SysConf entry type
 */
typedef struct {
    int				SysConfVar;	/* sysconf(3) variable */
    char		       *VarName;	/* Variable name, e.g. _SC_* */
    int				Type;		/* Value type SCT_* */
    char		       *Desc;		/* Description */
} SysConf_t;

extern SysConf_t	        SysConfTable[];

#endif	/* __getsysconf__ */
