/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/5.0/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.2 $
 */

/*
 * Partition related definetions
 */
#ifndef __part_h__
#define __part_h__

#include "mcmnt.h"

/*
 * Declarations
 */
extern Opaque_t		        BuildPartInfoDevices(PartInfo_t **, char **);
extern Opaque_t		        BuildPartInfoStd(PartInfo_t **, char **);
extern Opaque_t		        BuildPartInfoMnt(PartInfo_t **, char **);

extern PartInfo_t	       *PartInfoCreate(PartInfo_t *);
extern int			PartInfoDestroy(PartInfo_t *);
extern int			PartInfoAdd(PartInfo_t **, PartInfo_t *);
extern int			PartInfoMCSI(MCSIquery_t *);
extern PartInfo_t	       *PartFindByDev(PartInfo_t **, MntInfo_t *);

#endif	/* __part_h__ */
