/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/5.0/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.37 $
 */

#ifndef __os_sunos_h__
#define __os_sunos_h__

/*
 * Default Delta for CPUspeed comparison
 */
#define CPU_SPEED_DELTA		2

/*
 * Graphics defines
 */
#define AFB_NAME		"afb"		/* Elite */
#define PGX_NAME		"pgx"		/* m64/PGX */
#define FFB_NAME		"ffb"		/* Creator */
/* Special FFB defines */
#define FFB_DBLNAME		"ffbdbl"	/* Match for sunos.cf */
#define FFB_DBL_BUFFER		0x01		/* Has double buf flag */
#define FFB_Z_BUFFER		0x02		/* Has Z buf flag */

/*
 * Cpu Type information
 */
#if	OSMVER == 5
typedef short			cputype_t;
#else
typedef int			cputype_t;
#endif	/* OSMVER == 5 */
extern cputype_t		CpuType;

/*
 * Function to set additional NetIf info
 */
#define NETIF_BUILD_OS		KstatNetIf

/*
 * We have /var/yp/binding/$domain/ypservers
 */
#define HAVE_VAR_YP_BINDING_YPSERVERS

/*
 * Functions
 */
extern int			IsString();
extern char		       *DecodeVal();
extern char		       *ExpandKey();

#endif	/* __os_sunos_h__ */
