/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/5.0/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.17 $
 */

#ifndef __sysinfo_defs_h__
#define __sysinfo_defs_h__ 

#include <sys/param.h>
#include "mcsysinfo.h"
#include "mcbase.h"
#include "declare.h"
#include "strutil.h"

#define CPRT(s)			( (s) ? s : "-" )

/*
 * Type used for print functions
 */
typedef struct {
    DevInfo_t		       *DevInfo;
    DevType_t		       *DevType;
    int				OffSet;
    void		      (*DetailsTreeText)();
    void		      (*DetailsTreeHtml)();
    void		      (*DetailsColumnsText)();
    void		      (*DetailsColumnsHtml)();
    void		      (*DetailsReport)();
} PrintInfo_t;

/*
 * Declaretions
 */
extern int			OffSetAmt;

#endif	/* __sysinfo_defs_h__ */
